Loading...
Searching...
No Matches
scoringFunction.h File Reference
`#include <set>`
`#include <BALL/KERNEL/system.h>`
`#include <BALL/DATATYPE/options.h>`
`#include <BALL/DATATYPE/string.h>`
`#include <BALL/DATATYPE/hashGrid.h>`
`#include <BALL/KERNEL/atomContainer.h>`
`#include <BALL/DOCKING/COMMON/staticLigandFragment.h>`
`#include <BALL/DOCKING/COMMON/constraints.h>`
`#include <BALL/SCORING/COMMON/baseFunction.h>`
`#include <BALL/SCORING/COMMON/scoringComponent.h>`
`#include <BALL/STRUCTURE/residueRotamerSet.h>`

Go to the source code of this file.

## Classes

class | BALL::ScoringFunction
struct | BALL::ScoringFunction::Option
struct | BALL::ScoringFunction::Default
struct | BALL::ScoringFunction::Result

## Namespaces

namespace | BALL

## Typedefs

typedef std::list< std::pair< Atom *, Atom * > > | BALL::AtomPairList
typedef std::vector< std::pair< Atom *, Atom * > > | BALL::AtomPairVector